Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.record
Class SlideListWithText.SlideAtomsSet

    java.lang.Object
      org.apache.poi.hslf.record.SlideListWithText.SlideAtomsSet

Enclosing class:
  SlideListWithText

    public class SlideListWithText.SlideAtomsSet

extends java.lang.Object

Inner class to wrap up a matching set of records that hold the text for a given sheet. Contains the leading SlidePersistAtom, and all of the records until the next SlidePersistAtom. This includes sets of TextHeaderAtom and TextBytesAtom/TextCharsAtom, along with some others.

Constructor Summary
`SlideListWithText.SlideAtomsSet(SlidePersistAtom s, Record[] r)` Create one to hold the Records for one Slide's text

Method Summary
`SlidePersistAtom` | `getSlidePersistAtom()` Get the SlidePersistAtom, which gives details on the Slide this text is associated with
`Record[]` | `getSlideRecords()` Get the Text related records for this slide

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlideListWithText.SlideAtomsSet

    public SlideListWithText.SlideAtomsSet(SlidePersistAtom s,
                                           Record[] r)

  Create one to hold the Records for one Slide's text

Method Detail

### getSlidePersistAtom

    public SlidePersistAtom getSlidePersistAtom()

  Get the SlidePersistAtom, which gives details on the Slide this text is associated with

### getSlideRecords

    public Record[] getSlideRecords()

  Get the Text related records for this slide

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.